Bug 74889 - Word wraps mess up translations
Word wraps mess up translations
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
Depends On:
  Show dependency treegraph
Reported: 2002-10-02 12:39 EDT by Mattias Dahlberg
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-07 13:02:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mattias Dahlberg 2002-10-02 12:39:12 EDT
Description of problem:
Sometimes a translated sentence is a few characters longer than the original, 
which makes Gtk word wrap before the hard coded word wrap. The result is 
strange looking paragraphs, with lines getting word wrapped after only a couple 
of words.

How reproducible:

Steps to Reproduce:
1. Install Red Hat 8.0
2. Choose a language other than English
3. Start rhn-applet
Comment 1 Christian Rose 2002-10-02 13:26:11 EDT
I suggest not having any hard-coded line wraps at all.

This has several benefits:
1) Translators don't have to fiddle finding suitable line lengths with the font
that happens to be used
2) Improves accessibility since other, larger, fonts can be used without
everything getting messy
Comment 2 Chip Turner 2002-10-03 12:20:25 EDT
fixed in CVS, will be on i18n shortly once final menu locations are decided

Note You need to log in before you can comment on or make changes to this bug.